Bug 470111 - FIPS certification requires exporting DSA_verify function
FIPS certification requires exporting DSA_verify function
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jarod Wilson
Red Hat Kernel QE team
:
Depends On:
Blocks: FIPS-140-Tracker
  Show dependency treegraph
 
Reported: 2008-11-05 15:15 EST by Jarod Wilson
Modified: 2011-01-28 14:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 673577 (view as bug list)
Environment:
Last Closed: 2009-09-02 04:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial patch for EXPORT_SYMBOL_GPL(DSA_verify); (407 bytes, patch)
2008-11-05 15:15 EST, Jarod Wilson
no flags Details | Diff

  None (edit)
Description Jarod Wilson 2008-11-05 15:15:16 EST
Created attachment 322640 [details]
trivial patch for EXPORT_SYMBOL_GPL(DSA_verify);

Description of problem:
In order to pass FIPS CAVS testing and rely upon our kernel module signing infrastructure, we need to be able to certify our DSA verification implementation in the kernel. To do so, the DSA_verify function needs to be exported, so that the test infrastructure bits can use it.

Version-Release number of selected component (if applicable):
kernel-2.6.18-122.el5
Comment 2 RHEL Product and Program Management 2009-01-27 15:38:56 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 RHEL Product and Program Management 2009-02-16 10:32:02 EST
Updating PM score.
Comment 4 Don Zickus 2009-02-23 15:02:29 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 errata-xmlrpc 2009-09-02 04:49:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.